package com 
{
	import flash.utils.ByteArray;
	/**
	 * ...
	 * @author Lulzy & Villermen
	 */
	public class Assets 
	{
		// MUSIC
		[Embed(source = "data/monomerdangerzoneintro.mp3")] public static var introMusic:Class;
		[Embed(source = "data/monomerdangerzoneloop.mp3")] public static var loopMusic:Class;
		[Embed(source = "data/menumusic.mp3")] public static var menuMusic:Class;
		
		// SOUNDS
		[Embed(source = "data/jump.mp3")] public static var jumpSound:Class;
		
		// TILESETS
		[Embed(source = "data/solidmaptiles_20x20.png")] public static var mapTiles:Class;
		[Embed(source = "data/specialmaptiles_20x20.png")] public static var objectTiles:Class;
		[Embed(source = "data/decorationmaptiles_20x20.png")] public static var decoTiles:Class;
		
		// SPRITESHEETS
		[Embed(source = "data/anim_scientist_32x60.png")] public static var playerAnim:Class;
		[Embed(source = "data/anim_lead_20x20.png")] public static var leadAnim:Class;
		[Embed(source = "data/anim_spring_60x40.png")] public static var springAnim:Class;
		[Embed(source = "data/anim_radioactiveicon_220x208.png")] public static var radioAnim:Class;
		[Embed(source = "data/startMessage_618x27.png")] public static var startMessage:Class;
		
		// BACKGROUND IMAGES
		[Embed(source = "data/background.png")] public static var bgImg:Class;
		[Embed(source = "data/background_title.png")] public static var bgTitleImg:Class;
		
		// MAP SEGMENTS
		[Embed(source = "data/segments/mapCSV_Segment1_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map1:Class;
		[Embed(source = "data/segments/mapCSV_Segment1_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects1:Class;
		[Embed(source = "data/segments/mapCSV_Segment1_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos1:Class;
		[Embed(source = "data/segments/mapCSV_Segment2_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map2:Class;
		[Embed(source = "data/segments/mapCSV_Segment2_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects2:Class;
		[Embed(source = "data/segments/mapCSV_Segment2_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos2:Class;
		[Embed(source = "data/segments/mapCSV_Segment3_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map3:Class;
		[Embed(source = "data/segments/mapCSV_Segment3_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects3:Class;
		[Embed(source = "data/segments/mapCSV_Segment3_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos3:Class;
		[Embed(source = "data/segments/mapCSV_Segment4_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map4:Class;
		[Embed(source = "data/segments/mapCSV_Segment4_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects4:Class;
		[Embed(source = "data/segments/mapCSV_Segment4_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos4:Class;
		[Embed(source = "data/segments/mapCSV_Segment5_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map5:Class;
		[Embed(source = "data/segments/mapCSV_Segment5_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects5:Class;
		[Embed(source = "data/segments/mapCSV_Segment5_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos5:Class;
		[Embed(source = "data/segments/mapCSV_Segment6_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map6:Class;
		[Embed(source = "data/segments/mapCSV_Segment6_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects6:Class;
		[Embed(source = "data/segments/mapCSV_Segment6_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos6:Class;
		[Embed(source = "data/segments/mapCSV_Segment7_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map7:Class;
		[Embed(source = "data/segments/mapCSV_Segment7_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects7:Class;
		[Embed(source = "data/segments/mapCSV_Segment7_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos7:Class;
		[Embed(source = "data/segments/mapCSV_Segment8_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map8:Class;
		[Embed(source = "data/segments/mapCSV_Segment8_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects8:Class;
		[Embed(source = "data/segments/mapCSV_Segment8_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos8:Class;
		[Embed(source = "data/segments/mapCSV_Segment9_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map9:Class;
		[Embed(source = "data/segments/mapCSV_Segment9_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects9:Class;
		[Embed(source = "data/segments/mapCSV_Segment9_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos9:Class;
		[Embed(source = "data/segments/mapCSV_Segment10_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map10:Class;
		[Embed(source = "data/segments/mapCSV_Segment10_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects10:Class;
		[Embed(source = "data/segments/mapCSV_Segment10_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos10:Class;
		[Embed(source = "data/segments/mapCSV_Segment11_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map11:Class;
		[Embed(source = "data/segments/mapCSV_Segment11_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects11:Class;
		[Embed(source = "data/segments/mapCSV_Segment11_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos11:Class;
		[Embed(source = "data/segments/mapCSV_Segment12_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map12:Class;
		[Embed(source = "data/segments/mapCSV_Segment12_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects12:Class;
		[Embed(source = "data/segments/mapCSV_Segment12_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos12:Class;
		[Embed(source = "data/segments/mapCSV_Segment13_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_map13:Class;
		[Embed(source = "data/segments/mapCSV_Segment13_Specials.csv", mimeType = "application/octet-stream")] private var csv_objects13:Class;
		[Embed(source = "data/segments/mapCSV_Segment13_Decorations.csv", mimeType = "application/octet-stream")] private var csv_decos13:Class;
		
		// TUTORIAL MAPS
		[Embed(source = "data/segments/mapCSV_Tutorial0_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_tutorial_map0:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial0_Specials.csv", mimeType = "application/octet-stream")] private var csv_tutorial_objects0:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial0_Decorations.csv", mimeType = "application/octet-stream")] private var csv_tutorial_decos0:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial1_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_tutorial_map1:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial1_Specials.csv", mimeType = "application/octet-stream")] private var csv_tutorial_objects1:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial1_Decorations.csv", mimeType = "application/octet-stream")] private var csv_tutorial_decos1:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial2_Maptiles.csv", mimeType = "application/octet-stream")] private var csv_tutorial_map2:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial2_Specials.csv", mimeType = "application/octet-stream")] private var csv_tutorial_objects2:Class;
		[Embed(source = "data/segments/mapCSV_Tutorial2_Decorations.csv", mimeType = "application/octet-stream")] private var csv_tutorial_decos2:Class;
		
		public static var tutorial_maps:Vector.<String>;
		public static var tutorial_objects:Vector.<String>;
		public static var tutorial_decos:Vector.<String>;
		
		public static var maps:Vector.<String>;
		public static var objects:Vector.<String>;
		public static var decos:Vector.<String>;
		
		public function Assets():void
		{
			tutorial_maps = new Vector.<String>();
			tutorial_objects = new Vector.<String>();
			tutorial_decos = new Vector.<String>();
			
			var tut_map0:String = convert(csv_tutorial_map0);
			var tut_objects0:String = convert(csv_tutorial_objects0);
			var tut_decos0:String = convert(csv_tutorial_decos0);
			var tut_map1:String = convert(csv_tutorial_map1);
			var tut_objects1:String = convert(csv_tutorial_objects1);
			var tut_decos1:String = convert(csv_tutorial_decos1);
			var tut_map2:String = convert(csv_tutorial_map2);
			var tut_objects2:String = convert(csv_tutorial_objects2);
			var tut_decos2:String = convert(csv_tutorial_decos2);
			
			tutorial_maps.push(tut_map0, tut_map1, tut_map2);
			tutorial_objects.push(tut_objects0, tut_objects1, tut_objects2);
			tutorial_decos.push(tut_decos0, tut_decos1, tut_decos2);
			
			maps = new Vector.<String>();
			objects = new Vector.<String>();
			decos = new Vector.<String>();
			
			var map1:String = convert(csv_map1);
			var objects1:String = convert(csv_objects1);
			var decos1:String = convert(csv_decos1);
			var map2:String = convert(csv_map2);
			var objects2:String = convert(csv_objects2);
			var decos2:String = convert(csv_decos2);
			var map3:String = convert(csv_map3);
			var objects3:String = convert(csv_objects3);
			var decos3:String = convert(csv_decos3);
			var map4:String = convert(csv_map4);
			var objects4:String = convert(csv_objects4);
			var decos4:String = convert(csv_decos4);
			var map5:String = convert(csv_map5);
			var objects5:String = convert(csv_objects5);
			var decos5:String = convert(csv_decos5);
			var map6:String = convert(csv_map6);
			var objects6:String = convert(csv_objects6);
			var decos6:String = convert(csv_decos6);
			var map7:String = convert(csv_map7);
			var objects7:String = convert(csv_objects7);
			var decos7:String = convert(csv_decos7);
			var map8:String = convert(csv_map8);
			var objects8:String = convert(csv_objects8);
			var decos8:String = convert(csv_decos8);
			var map9:String = convert(csv_map9);
			var objects9:String = convert(csv_objects9);
			var decos9:String = convert(csv_decos9);
			var map10:String = convert(csv_map10);
			var objects10:String = convert(csv_objects10);
			var decos10:String = convert(csv_decos10);
			var map11:String = convert(csv_map11);
			var objects11:String = convert(csv_objects11);
			var decos11:String = convert(csv_decos11);
			var map12:String = convert(csv_map12);
			var objects12:String = convert(csv_objects12);
			var decos12:String = convert(csv_decos12);
			var map13:String = convert(csv_map13);
			var objects13:String = convert(csv_objects13);
			var decos13:String = convert(csv_decos13);
			
			maps.push(map1, map2, map3, map4, map5, map6, map7, map8, map9, map10, map11, map12, map13);
			objects.push(objects1, objects2, objects3, objects4, objects5, objects6, objects7, objects8, objects9, objects10, objects11, objects12, objects13);
			decos.push(decos1, decos2, decos3, decos4, decos5, decos6, decos7, decos8, decos9, decos10, decos11, decos12, decos13);
		}
		
		private function convert(csvObject:Class):String
		{
			var value:String = String(new csvObject as ByteArray);
			return value;
		}
		
	}

}