package com 
{
	import org.flixel.*;
	
	/**
	 * ...
	 * @author Lulzy & Villermen
	 */
	public class MenuState extends FlxState 
	{
		public var backGround:FlxSprite;
		public var startGameMsg:FlxSprite;
		public var logo:FlxSprite;
		public var menuMusic:FlxSound;
		
		public function MenuState() 
		{
			menuMusic = new FlxSound();
			menuMusic.loadEmbedded(Assets.menuMusic, true)
			menuMusic.volume = 0.5;
			menuMusic.play();
			add(menuMusic);
			
			backGround = new FlxSprite(0, 0);
			backGround.loadGraphic(Assets.bgTitleImg, false, false, 800, 480);
			add(backGround);
			
			startGameMsg = new FlxSprite(92, 421);
			startGameMsg.loadGraphic(Assets.startMessage, false, false, 618, 27);
			startGameMsg.addAnimation("ANYKEY", [0, 0, 1], 3, true);
			startGameMsg.play("ANYKEY");
			add(startGameMsg);
			
			logo = new FlxSprite(290, 136)
			logo.loadGraphic(Assets.radioAnim, true, false, 220, 208);
			logo.addAnimation("FLASH", [0, 1, 2, 3, 4, 4, 4, 4, 4, 3, 2, 1, 0, 0], 8, true);
			logo.play("FLASH");
			add(logo);
		}
		
		public function startGame():void
		{
			FlxG.switchState(new PlayState);
		}
		
		override public function update():void
		{
			if (FlxG.keys.any())
			{
				menuMusic.stop();
				startGame();
			}
			
			super.update();
		}
		
	}

}